<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function xExportar($varForm) {
	$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
	$varTip = (isset($varForm["tcod"]) && $varForm["tcod"]<>'')? $varForm["tcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	
	$sql = "call spQuery_CXP_Cuentas_Pagar($varPro, $varTip, $varIni, $varFin, $varFie, $varOrd);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

function xFormuPago($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuPago($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "none");
	$respuestaXajax->assign("divFormPago", "innerHTML", utf8_encode($varTabla));
	$varScript = "UnTip();";
	$respuestaXajax->script($varScript);
	$varFecha = '$(document).ready(function() {
					function startChange() {
                        var startDate = fpag.value();

                        if (startDate) {
                            startDate = new Date(startDate);
                            startDate.setDate(startDate.getDate());
                            fmov.min(startDate);
							fven.min(startDate);
                        }
                    }

                    var fpag = $("#fpag").kendoDatePicker({
                        //change: startChange,
						format: "dd/MM/yyyy"
                    }).data("kendoDatePicker");
					var startDate = document.getElementById("femi").value;
					fpag.min(startDate);
                });';
	$respuestaXajax->script($varFecha);
	return $respuestaXajax;
	}
	
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "block");
	$respuestaXajax->assign("divFormPago", "innerHTML", "");
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$respuestaXajax = new xajaxResponse();
		$respuestaXajax->assign("divForm", "style.display", "block");
		$respuestaXajax->assign("divFormPago", "innerHTML", "");
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
	
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor_cxp');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docpago');


$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuPago');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	function xExportarJS() {
		if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}

	function xGrabarJS() {
		var varErrorCab = "ERROR AL PROCESAR DATOS...!!!!!\n";
		var varErrorDet = "";
			
		if (xajax.$("tip") && xajax.$("tip").value=="Ninguno") {
			varErrorDet = varErrorDet + "- DEBE SELECCIONAR UN TIPO DE PAGO\n";
			}
		if (xajax.$("nser") && xajax.$("nser").value=="") {
			varErrorDet = varErrorDet + "- DEBE ESPECIFICAR UN NUMERO DE SERIE\n";
			}
		if (xajax.$("num") && xajax.$("num").value=="") {
			varErrorDet = varErrorDet + "- DEBE ESPECIFICAR UN NUMERO DE DOCUMENTO DE PAGO\n";
			}		
		if (xajax.$("fpag") && xajax.$("fpag").value=="") { 
			varErrorDet = varErrorDet + "- DEBE ESPECIFICAR UNA FECHA DE PAGO\n";
			}
		if (xajax.$("pag") && xajax.$("pag").value=="") { 
			varErrorDet = varErrorDet + "- DEBE ESPECIFICAR UN MONTO DE PAGO\n";
			}	
		if(parseFloat(xajax.$("pag").value)>parseFloat(xajax.$("sal").value)){ 
			varErrorDet = varErrorDet + "- EL MONTO A PAGAR NO PUEDE SER MAYOR AL SALDO DEL DOCUMENTO\n";
			}	
		if (varErrorDet!="") {
			alert(varErrorCab + varErrorDet)
			}
		else {
			if (confirm("¿DESEA REGISTRAR EL PAGO?")) {
				xajax_xGrabar(xajax.getFormValues('formPago'));		
				}
			}
		}
	
		
	function FormuPagoJS(varCod, varTab) {
		UnTip();
		xajax_xFormuPago(varCod);
		EliminarFilaTabla(varTab)	
		}
	function FormuDetalleJS(varCod) {
		UnTip();
		var Ruta = 'print/print_cxp_documentos_pagar_detalle.php?ide='+varCod;
		testwindow= window.open (Ruta, "print_cxp_documentos_pagar_detalle", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=400");	
		}
</script>
<?php

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	echo "<div id=\"divFormPago\">";
	echo "</div>";
	}
?>